From 62f8c0c3ed1c7deec07a9439d13ecb4ca3ddc710 Mon Sep 17 00:00:00 2001
From: user <user@U804GT40G.(none)>
Date: Tue, 25 May 2010 09:07:47 -0500
Subject: [PATCH] Changed mmc device from 0 to 1.
 Added script user.scr which is executed when the USER button is held during boot up.  The user button is detected at
 boot time and the file name used for the boot script is set according to the state of the user button.

---
 mkxmbootscr |   14 +++++++++++---
 1 files changed, 11 insertions(+), 3 deletions(-)

diff --git a/mkxmbootscr b/mkxmbootscr
index 9611503..d8f25a2 100755
--- a/mkxmbootscr
+++ b/mkxmbootscr
@@ -10,24 +10,32 @@ mkimage -A arm -O linux -T script -C none -a 0 -e 0 -n "$1" -d $TMPFILE $2
 
 cat <<EOF > $TMPFILE
 setenv bootargs 'init=/bin/busybox sh console=tty0 console=ttyS2,115200n8 mpurate=600 nohz=off vram=16M omapfb.mode=dvi:640x480MR-16@60 omapdss.def_disp=dvi omapfb.vram=0:8M,1:4M,2:4M root=/dev/mmcblk0p2 rw rootfstype=ext3 rootwait mem=99M@0x80000000 mem=384M@0x88000000'
-fatload mmc 0 0x82000000 uImage
+fatload mmc 1 0x82000000 uImage
 bootm 0x82000000
 EOF
 do_mkimage "Shell only (VGA)" shell.scr
 
 cat <<EOF > $TMPFILE
 setenv bootargs 'console=tty0 console=ttyS2,115200n8 mpurate=600 nohz=off vram=16M omapfb.mode=dvi:1024x768MR-24@60 omapdss.def_disp=dvi omapfb.vram=0:8M,1:4M,2:4M root=/dev/mmcblk0p2 rw rootfstype=ext3 rootwait mem=99M@0x80000000 mem=384M@0x88000000'
-fatload mmc 0 0x82000000 uImage
+fatload mmc 1 0x82000000 uImage
 bootm 0x82000000
 EOF
 do_mkimage "Default (1024x768)" boot.scr
 
 cat <<EOF > $TMPFILE
 setenv bootargs 'console=tty0 console=ttyS2,115200n8 mpurate=600 nohz=off vram=16M omapfb.mode=dvi:hd720 omapdss.def_disp=dvi omapfb.vram=0:8M,1:4M,2:4M root=/dev/mmcblk0p2 rw rootfstype=ext3 rootwait mem=99M@0x80000000 mem=384M@0x88000000'
-fatload mmc 0 0x82000000 uImage
+fatload mmc 1 0x82000000 uImage
 bootm 0x82000000
 EOF
 do_mkimage "Default (720p)" boot-hd.scr
 
+cat <<EOF > $TMPFILE
+setenv bootargs 'console=tty0 console=ttyS2,115200n8 mpurate=600 nohz=off vram=16M omapfb.mode=dvi:1024x768MR-24@60 omapdss.def_disp=dvi omapfb.vram=0:8M,1:4M,2:4M root=/dev/ram0 rw rootfstype=ext2 initrd=0x81600000,32M ramdisk_size=32768 rootwait mem=99M@0x80000000 mem=384M@0x88000000'
+fatload mmc 1 0x82000000 uImage
+fatload mmc 1 0x81600000 ramdisk.gz
+bootm 0x82000000
+EOF
+do_mkimage "Default (1024x768) User script" user.scr
+
 rm $TMPFILE
 
-- 
1.5.4.3

